# -*- mode: make -*-
#

#
# Hier werden einige Definitionen fr AVR-Projekte getroffen. Durch die 
# Verwendung sind die Projekte zwangsweise gleich in der Struktur und 
# vieles kann wiederverwendet werden.
#

###############################################################################
##                                                                           ##
##                  Definitionen fr alle AVR-Projekte                       ##
##                                                                           ##
###############################################################################

# Projektverzeichnis
PROJDIR := /home/jens/projekte

JAVAROOT := /usr/lib/java/

# Assembler
AVRASM := /home/jens/install/avr/tavrasm.122/src/tavrasm

#
AVRASMEXTR := $(PROJDIR)/tavrasmParse/tavrasmParse

# Das ext-Verzeichnis des JSDK; hier sollte jCoCoBase.jar liegen
#JSDK_EXT_DIR := $(JAVAROOT)/jre/lib/ext
#JSDK_EXT_DIR := /usr/lib/kaffe/lib
JSDK_EXT_DIR := /usr/share/java
# javac
JSDK_C := javac
# java VM
JSDK_VM := java
# jar
JSDK_JAR := jar

# Damit man das Ding mal gegen ein C-Programm austauschen kann:
#AVRASMPP_CALL := $(JSDK_VM) -cp $(PROJDIR)/avrasmpp/current/out/ T_AvrAsmPP
AVRASMPP_CALL := $(PROJDIR)/avrasmpp/CPP/current/avrasmpp

###############################################################################
##                                                                           ##
##                       Automatische Zuweisungen                            ##
##                                                                           ##
###############################################################################

# Verzeichnis des aktuellen Projekts
CURPROJDIR := $(shell pwd)

# Hauptprogramm im Ausgabeverzeichnis, ohne Endung
MAINOUT := $(CURPROJDIR)/out/asm-after-pp/main

SRAM_LIST := $(CURPROJDIR)/out/asm-after-pp/SRAM.txt

# Quelldateien
SRCFILES_ASM = $(wildcard $(CURPROJDIR)/src/asm/*.avr)
SRCFILES_ASM += $(wildcard $(CURPROJDIR)/src/asm/*.tab)

# Quelldateien mssen erst durch den Prprozessor
SRCFILES_PP   := $(subst $(CURPROJDIR)/src/asm/, $(CURPROJDIR)/out/asm-after-pp/, $(SRCFILES_ASM))
SRCFILES_DEPS := $(foreach base,$(SRCFILES_PP),$(base).deps)

# Scriptdateien fr avrdebug
AVRDEBUGSCRIPTS_IN := $(wildcard $(CURPROJDIR)/avrdebug/*)
AVRDEBUGSCRIPTS_OUT := $(foreach base,$(basename $(notdir $(AVRDEBUGSCRIPTS_IN))),$(CURPROJDIR)/out/$(base).pdebug)

